libabw::ABWContentParsingState Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libabw::ABWContentParsingState Struct Reference

`#include <ABWContentCollector.h>`

## Public Member Functions
| ABWContentParsingState ()
| ABWContentParsingState (const ABWContentParsingState &ps)
| ~ABWContentParsingState ()

## Public Attributes
bool | m_isDocumentStarted
bool | m_isPageSpanOpened
bool | m_isSectionOpened
bool | m_isHeaderOpened
bool | m_isFooterOpened
bool | m_isSpanOpened
bool | m_isParagraphOpened
bool | m_isListElementOpened
bool | m_inParagraphOrListElement
ABWPropertyMap | m_currentSectionStyle
ABWPropertyMap | m_currentParagraphStyle
ABWPropertyMap | m_currentCharacterStyle
double | m_pageWidth
double | m_pageHeight
double | m_pageMarginTop
double | m_pageMarginBottom
double | m_pageMarginLeft
double | m_pageMarginRight
int | m_footerId
int | m_footerLeftId
int | m_footerFirstId
int | m_footerLastId
int | m_headerId
int | m_headerLeftId
int | m_headerFirstId
int | m_headerLastId
int | m_currentHeaderFooterId
librevenge::RVNGString | m_currentHeaderFooterOccurrence
ABWContext | m_parsingContext
bool | m_deferredPageBreak
bool | m_deferredColumnBreak
bool | m_isNote
int | m_currentListLevel
int | m_currentListId
bool | m_isFirstTextInListElement
std::stack< ABWContentTableState > | m_tableStates
std::stack< std::pair< int, ABWListElement * > > | m_listLevels

## Constructor & Destructor Documentation

libabw::ABWContentParsingState::ABWContentParsingState | ( |  | ) |

libabw::ABWContentParsingState::ABWContentParsingState | ( | const ABWContentParsingState & | ps | ) |

libabw::ABWContentParsingState::~ABWContentParsingState | ( |  | ) |

## Member Data Documentation

ABWPropertyMap libabw::ABWContentParsingState::m_currentCharacterStyle

int libabw::ABWContentParsingState::m_currentHeaderFooterId

librevenge::RVNGString libabw::ABWContentParsingState::m_currentHeaderFooterOccurrence

int libabw::ABWContentParsingState::m_currentListId

int libabw::ABWContentParsingState::m_currentListLevel

ABWPropertyMap libabw::ABWContentParsingState::m_currentParagraphStyle

ABWPropertyMap libabw::ABWContentParsingState::m_currentSectionStyle

bool libabw::ABWContentParsingState::m_deferredColumnBreak

bool libabw::ABWContentParsingState::m_deferredPageBreak

int libabw::ABWContentParsingState::m_footerFirstId

int libabw::ABWContentParsingState::m_footerId

int libabw::ABWContentParsingState::m_footerLastId

int libabw::ABWContentParsingState::m_footerLeftId

int libabw::ABWContentParsingState::m_headerFirstId

int libabw::ABWContentParsingState::m_headerId

int libabw::ABWContentParsingState::m_headerLastId

int libabw::ABWContentParsingState::m_headerLeftId

bool libabw::ABWContentParsingState::m_inParagraphOrListElement

bool libabw::ABWContentParsingState::m_isDocumentStarted

bool libabw::ABWContentParsingState::m_isFirstTextInListElement

bool libabw::ABWContentParsingState::m_isFooterOpened

bool libabw::ABWContentParsingState::m_isHeaderOpened

bool libabw::ABWContentParsingState::m_isListElementOpened

bool libabw::ABWContentParsingState::m_isNote

bool libabw::ABWContentParsingState::m_isPageSpanOpened

bool libabw::ABWContentParsingState::m_isParagraphOpened

bool libabw::ABWContentParsingState::m_isSectionOpened

bool libabw::ABWContentParsingState::m_isSpanOpened

std::stack<std::pair<int, ABWListElement *> > libabw::ABWContentParsingState::m_listLevels

double libabw::ABWContentParsingState::m_pageHeight

double libabw::ABWContentParsingState::m_pageMarginBottom

double libabw::ABWContentParsingState::m_pageMarginLeft

double libabw::ABWContentParsingState::m_pageMarginRight

double libabw::ABWContentParsingState::m_pageMarginTop

double libabw::ABWContentParsingState::m_pageWidth

ABWContext libabw::ABWContentParsingState::m_parsingContext

std::stack<ABWContentTableState> libabw::ABWContentParsingState::m_tableStates

The documentation for this struct was generated from the following files:

- ABWContentCollector.h
- ABWContentCollector.cpp